Subject: Re: [PATCH net-next v4 2/6] netdev_features: remove unused __UNUSED_NETIF_F_1

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Aug 2024 16:31:29 -0700

On Thu, 22 Aug 2024 18:19:24 +0200 Alexander Lobakin wrote:
> > I was simply suggesting to correct the changelog, and make clear we
> > need a recent enough ethtool.  
> 
> Yeah I got it, thanks. Will reword.
> 
> > We can not simply say that ethtool always supported the modern way
> > (ETH_SS_FEATURES)  
> 
> I didn't work with Linux at all back in 2011, so I didn't even know
> there were older ways of handling this :D Always something to learn, nice.

Are we removing the bit definitions just for code cleanliness?
On one hand it may be good to make any potential breakage obvious,
on the other we could avoid regressions if we stick to reserving 
the bits, and reusing them, but the bits we don't delete could remain
at their current position?